dag_component_get_attribute_count(3)

NAME
dag_component_get_attribute_count retrieves the number of attributes in a given component of a DAG card.

SYNOPSIS
#include "dag_config.h "

int
dag_component_get_attribute_count(dag_component_t component);

DESCRIPTION
dag_component_get_attribute_count returns the number of attribute in a given component of a DAG card.

RETURN VALUE
The number of attributes in that component.

EXAMPLES
The following program illustrates how the function is used.It displays the number of attributes of the Port component. For the sake of clarity the error-handling code has been omitted from this example. int main(int argc, const char* argv[]) {

   dag_card_ref_t card_ref = NULL;
   dag_component_t root_component = NULL;
   dag_component_t port_component = NULL;
   uint32_t count;
   uint32_t i;

   /* Get a reference to the card. */
   card_ref = dag_config_init("/dev/dag0");
   /* Get a reference to the root component. */
   root_component = dag_config_get_root_component(card_ref);
   /* Find out how many ports the card has. */
   port_component = dag_component_get_subcomponent(root_component);
   count = dag_component_get_attribute_count(port_component);
   printf("Number of attributes for port component is %d",count);
   /* Dispose of the card. */
   dag_config_dispose(card_ref);
   return EXIT_SUCCESS; }

SEE ALSO
dag_component_get_config_attriute_count(3),dag_component_get_status_attribute_uuid(3)

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: $
$Revision: -1 $
$Date: $

COPYRIGHT
(c) 2009 Endace Technology Ltd, Hamilton, New Zealand. All Rights Reserved.